Bug 855568 - nouveau broken: [drm1 nouveau] 000:01:00.0: Failed to idle channel X
nouveau broken: [drm1 nouveau] 000:01:00.0: Failed to idle channel X
Status: CLOSED EOL
Product: Fedora
Classification: Fedora
Component: xorg-x11-drv-nouveau (Show other bugs)
20
x86_64 Linux
unspecified Severity high
: ---
: ---
Assigned To: Ben Skeggs
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-09-08 22:00 EDT by Gerald Pfeifer
Modified: 2015-06-29 07:40 EDT (History)
30 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2015-06-29 07:40:24 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
/var/log/Xorg.0.log (38.58 KB, text/x-log)
2012-09-08 22:00 EDT, Gerald Pfeifer
no flags Details
Output of dmesg related to graphics (2.95 KB, text/plain)
2012-09-08 22:01 EDT, Gerald Pfeifer
no flags Details

  None (edit)
Description Gerald Pfeifer 2012-09-08 22:00:42 EDT
Created attachment 611117 [details]
/var/log/Xorg.0.log

Description of problem:
When resuming from s2r, a notebook with nVidia based graphics falls
to properly reactivate the screen.

Version-Release number of selected component (if applicable):
kernel-3.5.3-1.fc17.x86_64

How reproducible:
Always.

Steps to Reproduce:
1. Suspend to RAM.
2. Wake up.
3. Observe the screen not coming up properly, and issue errors 
   on the console.
  
Actual results:
drm1 nouveau 000:01:00.0: Failed to idle channel 2.
drm1 nouveau 000:01:00.0: Failed to idle channel 3.
drm1 nouveau 000:01:00.0: Failed to idle channel 2.
drm1 nouveau 000:01:00.0: Failed to idle channel 3.
etc. printed on the console.

Additional info:
http://lists.freedesktop.org/archives/nouveau/2012-August/010853.html
seems to be the upstream discussion.
Comment 1 Gerald Pfeifer 2012-09-08 22:01:27 EDT
Created attachment 611118 [details]
Output of dmesg related to graphics
Comment 2 Gerald Pfeifer 2012-10-18 19:35:57 EDT
It looks like the update to kernel 3.6 that went out recently addressed
this bug.

Can others who are copied on this confirm?
Comment 3 Ceferino M. Lopez-Sandez 2012-10-21 15:24:23 EDT
After reboot with kernel 3.6.1 and 3.6.2 , graphic system went down and in terminal screen 
[ 193.685566] [drm] nouveau 0000:01:00.0: Failed to idle channel 1.
[ 197.674451] [drm] nouveau 0000:01:00.0: PFIFO - playlist update failed
[ 200.665865] [drm] nouveau 0000:01:00.0: Failed to idle channel 2.
[ 204.654740] [drm] nouveau 0000:01:00.0: PFIFO - playlist update failed
[ 225.531669] [drm] nouveau 0000:01:00.0: Failed to idle channel 1.
[ 229.520608] [drm] nouveau 0000:01:00.0: PFIFO - playlist update failed
[ 232.511956] [drm] nouveau 0000:01:00.0: Failed to idle channel 2.
[ 236.500836] [drm] nouveau 0000:01:00.0: PFIFO - playlist update failed
etc.

Graphic card
01:00.0 VGA compatible controller: nVidia Corporation Device 0de0 (rev a1) (prog-if 00 [VGA controller])
	Subsystem: ASUSTeK Computer Inc. Device 83cd
	Flags: bus master, fast devsel, latency 0, IRQ 16
	Memory at f6000000 (32-bit, non-prefetchable) [size=16M]
	Memory at e8000000 (64-bit, prefetchable) [size=128M]
	Memory at f0000000 (64-bit, prefetchable) [size=32M]
	I/O ports at e000 [size=128]
	Expansion ROM at f7000000 [disabled] [size=512K]
	Capabilities: [60] Power Management version 3
	Capabilities: [68] MSI: Enable- Count=1/1 Maskable- 64bit+
	Capabilities: [78] Express Endpoint, MSI 00
	Capabilities: [b4] Vendor Specific Information: Len=14 <?>
	Capabilities: [100] Virtual Channel
	Capabilities: [128] Power Budgeting <?>
	Capabilities: [600] Vendor Specific Information: ID=0001 Rev=1 Len=024 <?>
	Kernel driver in use: nouveau
Comment 4 Couret Charles-Antoine 2012-10-23 16:23:05 EDT
(In reply to comment #2)
> It looks like the update to kernel 3.6 that went out recently addressed
> this bug.
> 
> Can others who are copied on this confirm?

I have the problem for August or September, before the suspend haven't problem with my nvidia card (Quadro 1000M) with nouveau driver.
Comment 5 Ceferino M. Lopez-Sandez 2012-10-25 10:44:59 EDT
I avoid the graphic crash with a HD Radeon 5450, but the bug in USB mouse is still there (https://bugzilla.redhat.com/show_bug.cgi?id=861022).
Comment 6 Jonathan S 2012-10-29 15:55:56 EDT
I can confirm this bug in Fedora 16 (up-to-date as of 29 Oct). Resuming from suspend gives flashing back and forth of X-server screen and text screen with messages on the latter saying (where nnn.nnnnnn are differing numbers):
[ nnn.nnnnnn] [drm] nouveau 0000:01:00.0: Failed to idle channel 1.
[ nnn.nnnnnn] [drm] nouveau 0000:01:00.0: Failed to idle channel 1.
[ nnn.nnnnnn] [drm] nouveau 0000:01:00.0: Failed to idle channel 1.
indefinitely .....
sometimes changing to other channel numbers as the messages continue.
Hard shutdown with power-switch is necessary.

This happens only with the latest F16 kernel (3.6.2-1.fc16) - works fine with previous kernel of 3.4.11-1.fc16.

Graphics card:
01:00.0 VGA compatible controller: nVidia Corporation G72 [GeForce 7500 LE] (rev a1) (prog-if 00 [VGA controller])
	Subsystem: ASUSTeK Computer Inc. Device 034b
	Flags: bus master, fast devsel, latency 0, IRQ 16
	Memory at fa000000 (32-bit, non-prefetchable) [size=16M]
	Memory at e0000000 (64-bit, prefetchable) [size=256M]
	Memory at fb000000 (64-bit, non-prefetchable) [size=16M]
	Expansion ROM at fcfe0000 [disabled] [size=128K]
	Capabilities: [60] Power Management version 2
	Capabilities: [68] MSI: Enable- Count=1/1 Maskable- 64bit+
	Capabilities: [78] Express Endpoint, MSI 00
	Capabilities: [100] Virtual Channel
	Capabilities: [128] Power Budgeting <?>
	Kernel driver in use: nouveau
	Kernel modules: nouveau
Comment 7 David Howells 2013-02-20 12:20:55 EST
I've seen something very similar to this in F18 without the need to suspend/resume the box:

[692981.698011] nouveau E[   PFIFO][0000:02:00.0] read fault at 0x0000027000 [PAGE_NOT_PRESENT] from PFIFO/PFIFO on channel 0x003fcf1000
[693042.035535] nouveau E[     DRM] GPU lockup - switching to software fbcon
[693105.118723] nouveau E[    2579] failed to idle channel 0xcccc0001
[693105.119667] [sched_delayed] sched: RT throttling activated
[693108.115060] nouveau E[    2579] failed to idle channel 0xcccc0000
[693112.652979] nouveau E[    3722] failed to idle channel 0xcccc0000
[693229.134742] nouveau E[    6649] failed to idle channel 0xcccc0001
[693232.130059] nouveau E[    6649] failed to idle channel 0xcccc0000

using packages:

kernel-3.7.6-201.fc18.x86_64
xorg-x11-server-Xorg-1.13.2-2.fc18.x86_64
xorg-x11-drv-nouveau-1.0.6-1.fc18.x86_64

The VT that was running the X server was thereafter wedged and I couldn't successfully restart X, but I could log in remotely and use chvt to switch to a working terminal.

I also had my box die with a 3.7.2-204 kernel with many of the following messages in syslog:

Feb  3 03:44:37 warthog kernel: [982117.597754] nouveau E[      VM][0000:02:00.0] failed to create 0x04000000, -28

The graphics card:

[    22.141] (--) NOUVEAU(0): Chipset: "NVIDIA NVc3"

02:00.0 VGA compatible controller: NVIDIA Corporation GF106 [GeForce GTS 450] (rev a1) (prog-if 00 [VGA controller])
        Subsystem: eVga.com. Corp. Device 1450
        Physical Slot: 6-1
        Flags: bus master, fast devsel, latency 0, IRQ 24
        Memory at bc000000 (32-bit, non-prefetchable) [size=16M]
        Memory at b0000000 (64-bit, prefetchable) [size=128M]
        Memory at b8000000 (64-bit, prefetchable) [size=32M]
        I/O ports at 1000 [size=128]
        Expansion ROM at ba000000 [disabled] [size=512K]
        Capabilities: [60] Power Management version 3
        Capabilities: [68] MSI: Enable- Count=1/1 Maskable- 64bit+
        Capabilities: [78] Express Endpoint, MSI 00
        Capabilities: [b4] Vendor Specific Information: Len=14 <?>
        Capabilities: [100] Virtual Channel
        Capabilities: [128] Power Budgeting <?>
        Capabilities: [600] Vendor Specific Information: ID=0001 Rev=1 Len=024 <?>
        Kernel driver in use: nouveau
Comment 8 Raphael Groner 2013-02-28 07:00:45 EST
I think I can reproduce on ArchLinux.

Upstream is informed.
https://bugs.freedesktop.org/show_bug.cgi?id=53101
Comment 9 Tim Jowers 2013-04-22 21:42:29 EDT
uname -a
Linux fedorabook 3.8.4-102.fc17.x86_64 #1 SMP Sun Mar 24 13:09:09 UTC 2013 x86_64 x86_64 x86_64 GNU/Linux

same messages from nouveau with playlist and channel timeout. had to reboot.

happened when started an Android 4.2 Emulator with "use host GPU" enabled. Restarted without host GPU and no problem yet.
Comment 10 David Howells 2013-04-23 17:18:30 EDT
Now seeing this:


[105932.511517] nouveau  [   PLTCG][0000:02:00.0] LTC0_LTS0: 0x036f0040
[105932.511524] nouveau  [   PLTCG][0000:02:00.0] LTC0_LTS1: 0x036f0000
[105932.511533] nouveau  [   PLTCG][0000:02:00.0] LTC0_LTS6: 0x036f0000
[105932.511538] nouveau  [   PLTCG][0000:02:00.0] LTC0_LTS8: 0x036f0000
[105932.511542] nouveau  [   PLTCG][0000:02:00.0] LTC0_LTS9: 0x036f0040
[105932.511549] nouveau  [   PLTCG][0000:02:00.0] LTC0_LTS12: 0x03110803
[105932.511553] nouveau  [   PLTCG][0000:02:00.0] LTC0_LTS13: 0x01081206
[105932.511557] nouveau  [   PLTCG][0000:02:00.0] LTC0_LTS14: 0x01081206
[105932.511561] nouveau  [   PLTCG][0000:02:00.0] LTC0_LTS15: 0x0308110e
[105932.511564] nouveau  [   PLTCG][0000:02:00.0] LTC0_LTS16: 0x01081201
[105932.511568] nouveau  [   PLTCG][0000:02:00.0] LTC0_LTS17: 0x0308120e
[105932.511572] nouveau  [   PLTCG][0000:02:00.0] LTC0_LTS18: 0x03110008
[105932.511576] nouveau  [   PLTCG][0000:02:00.0] LTC0_LTS19: 0x01081201
[105932.511579] nouveau  [   PLTCG][0000:02:00.0] LTC0_LTS20: 0x0311000e
[105932.511583] nouveau  [   PLTCG][0000:02:00.0] LTC0_LTS21: 0x01081206
[105932.511587] nouveau  [   PLTCG][0000:02:00.0] LTC0_LTS22: 0x03100003
[105932.511590] nouveau  [   PLTCG][0000:02:00.0] LTC0_LTS23: 0x0311000e
[105932.511594] nouveau  [   PLTCG][0000:02:00.0] LTC0_LTS24: 0x0108110b
[105932.511597] nouveau  [   PLTCG][0000:02:00.0] LTC0_LTS25: 0x0108130b
[105932.511601] nouveau  [   PLTCG][0000:02:00.0] LTC0_LTS26: 0x01081301
[105932.511605] nouveau  [   PLTCG][0000:02:00.0] LTC0_LTS27: 0x03110004
[105932.511609] nouveau  [   PLTCG][0000:02:00.0] LTC0_LTS28: 0x0108130b
[105932.511612] nouveau  [   PLTCG][0000:02:00.0] LTC0_LTS29: 0x03110003
[105932.511616] nouveau  [   PLTCG][0000:02:00.0] LTC0_LTS30: 0x0310000e
[105932.511620] nouveau  [   PLTCG][0000:02:00.0] LTC0_LTS31: 0x01081406
[105932.511623] nouveau  [   PLTCG][0000:02:00.0] LTC0_LTS32: 0x03110003

with xorg-x11-drv-nouveau-1.0.6-4.fc18.x86_64 and kernel-3.8.8-202.fc18.x86_64 and libreoffice has suddenly got really slow.
Comment 11 Marc Dejardin 2013-05-15 08:57:02 EDT
I don't know if my problem is related to this one, but after updating the kernel to version 3.8.12-100.fc17.x86_64 in FC17 I got my laptop stuck after some while with messages :

kernel: [  140.833233] nouveau E[     767] failed to idle channel 0xcccc0001
kernel: [  142.830835] nouveau E[   PFIFO][0000:01:00.0] playlist update failed
kernel: [  145.827219] nouveau E[     767] failed to idle channel 0xcccc0000
kernel: [  147.824732] nouveau E[   PFIFO][0000:01:00.0] channel 1 kick timeout
kernel: [  149.822261] nouveau E[   PFIFO][0000:01:00.0] playlist update failed
gnome-session[1022]: Gdk-WARNING: gnome-session: Fatal IO error 11 (Ressource temporairement non disponible) on X server :0.
systemd-logind[690]: Removed session 2.\

Then the laptop oscillates between terminal and graphical screen adding the previous message each time

my graphic card is : nVidia Corporation GF108 [Quadro NVS 4200M] (rev a1)

The last working kernel is 3.7.9-104.fc17.x86_64.

Kernel 3.8.4-102.fc17.x86_64 shows the same problem.

Hope this helps
Marc
Comment 12 David Howells 2013-06-17 08:03:22 EDT
(In reply to Marc Dejardin from comment #11)
> I don't know if my problem is related to this one, but after updating the
> kernel to version 3.8.12-100.fc17.x86_64 in FC17 I got my laptop stuck after
> some while with messages :

I'm seeing similar PFIFO messages:

kernel: [939031.173416] nouveau W[   PFIFO][0000:02:00.0] INTR 0x00000001: 0x00000004
kernel: [939031.181777] nouveau W[   PFIFO][0000:02:00.0] INTR 0x00000001: 0x00000004
kernel: [941239.116341] nouveau E[   PFIFO][0000:02:00.0] read fault at 0x000002d000 [PAGE_NOT_PRESENT] from PFIFO/PFIFO on channel 0x003fe10000 [unknown]
kernel: [941328.208871] nouveau E[kwin[3716]] failed to idle channel 0xcccc0000 [kwin[3716]]
kernel: [941331.211273] nouveau E[kwin[3716]] failed to idle channel 0xcccc0000 [kwin[3716]]
kernel: [941416.218635] nouveau E[ X[2527]] failed to idle channel 0xcccc0001 [X[2527]]
kernel: [941419.220921] nouveau E[ X[2527]] failed to idle channel 0xcccc0001 [X[2527]]
kernel: [941422.223319] nouveau E[ X[2527]] failed to idle channel 0xcccc0000 [X[2527]]
kernel: [941425.225674] nouveau E[ X[2527]] failed to idle channel 0xcccc0000 [X[2527]]
kernel: [941425.557891] nouveau E[     DRM] GPU lockup - switching to software fbcon

Most recently, this happened today with kernel-3.9.4-200.fc18.x86_64.
Comment 13 David Howells 2013-07-19 11:24:23 EDT
kernel: [1057376.203116] nouveau E[   PFIFO][0000:02:00.0] read fault at 0x0000037000 [PAGE_NOT_PRESENT] from PFIFO/PFIFO on channel 0x003fe10000 [unknown]
kernel: [1057386.792380] nouveau E[     DRM] GPU lockup - switching to software fbcon
kernel: [1057389.822868] nouveau E[ X[2318]] failed to idle channel 0xcccc0001 [X[2318]]
kernel: [1057392.825176] nouveau E[ X[2318]] failed to idle channel 0xcccc0001 [X[2318]]
kernel: [1057395.828555] nouveau E[ X[2318]] failed to idle channel 0xcccc0000 [X[2318]]
kernel: [1057398.831867] nouveau E[ X[2318]] failed to idle channel 0xcccc0000 [X[2318]]
kdm[2280]: X server for display :0 terminated unexpectedly

Seen today with:

kernel-3.9.9-301.fc19.x86_64
xorg-x11-drv-nouveau-1.0.7-1.fc19.x86_64
Comment 14 Simon 2013-10-21 10:27:08 EDT
I'm getting a similar problem on a Toshiba P20 laptop using KDE on F19 with the latest kernel.
This appears to be related to the nvidia driver:
 "nouveau E[599] failed to idle channel etc.
I can't paste the output because the screen freezes after a couple of similar messages.
This has been happening whilst  was using apper to download Gnome (in case it was an issue with KDE).
I had problems with the nvidia driver in F17 too and when I tried the suggested workaround I got into a bind.
Is this known bug?
Are there any solutions?
Comment 15 Armands Liepins 2013-10-22 05:44:09 EDT
The same here. Seems started after updating the kernel to
kernel-PAE-3.11.3-201.fc19.i686. Updating to kernel-PAE-3.11.4-201.fc19.i686 did not help.

01:00.0 VGA compatible controller: NVIDIA Corporation G92 [GeForce 8800 GT] (rev a2)
Comment 16 Marc Dejardin 2013-11-29 08:45:21 EST
Hello
I am running kernel 3.11.9-200.fc19.x86_64 for now 2 hours and I don't have yet this problem with my nvidia card.
Before I have the problem immediately or after few seconds.
Need more time to say if the problem is cured, but it goes it the right way.
Comment 17 Marc Dejardin 2013-11-29 08:55:57 EST
Sorry, it was too optimistic.
The problem is still there and I got a "failed to idle channel 0xcccc0000 [Xorg[593]] as soon as I launched my video conferencing program (VidyoDesktop)

Still, last working kernel is  3.7.9-104.fc17.x86_64 which I am running now
Comment 18 David van Balen 2013-11-30 18:48:30 EST
Just ran into this. Built a brand new system with an Asus graphics card (Nvidia Geforce GT 630). Installed Fedora 18 off a DVD, and X initally ran without an issue. I then almost immediately ran an update, which upgraded the kernel from 3.6.10-4.fc18.x86_64 to 3.11.9-100.fc18.x86_64 (also installed Cinnamon right before the update, but didn't run it). Once I rebooted, I got a garbled screen with snippets of the installation screens from a couple hours before when I was installing the system, and some random colored lines. Subsequent reboots mostly just ended with random colored lines and no old screen snippets. After a while, the screen switches from the garbled graphics to error messages like the ones reported earlier in this bug[1]. Rebooting back into the original 3.6 kernel fixed the problem.

[1] I'm copying this off a snapshot I took of the screen with my phone (forgot to save the dmesg output so I could attach here). If necessary, I should be able to reboot into the 3.11 kernel and save the output, if that would be useful.

nouveau E[Xorg[1237]] failed to idle channel 0xcccc0001 [Xorg[1237]]
nouveau E[   PFIFO][0000:04:00.0] channel 3 [Xorg[1237]] kick timeout
nouveau E[   PFIFO][0000:04:00.0] playlist update failed
nouveau E[Xorg[1237]] failed to idle channel 0xcccc0000 [Xorg[1237]]
nouveau E[Xorg[1237]] failed to idle channel 0xcccc0000 [Xorg[1237]]
nouveau E[   PFIFO][0000:04:00.0] channel 2 [Xorg[1237]] kick timeout
nouveau E[   PFIFO][0000:04:00.0] playlist update failed
Comment 19 John McInnes 2014-01-07 22:00:33 EST
(In reply to Tim Jowers from comment #9)
> uname -a
> Linux fedorabook 3.8.4-102.fc17.x86_64 #1 SMP Sun Mar 24 13:09:09 UTC 2013
> x86_64 x86_64 x86_64 GNU/Linux
> 
> same messages from nouveau with playlist and channel timeout. had to reboot.
> 
> happened when started an Android 4.2 Emulator with "use host GPU" enabled.
> Restarted without host GPU and no problem yet.


3.12.6-300.fc20.x86_64 #1 SMP Mon Dec 23 16:44:31 UTC 2013 x86_64 x86_64 x86_64 GNU/Linux, NVIDIA 560Ti
Same problem here when running android emulator.
Comment 20 David Howells 2014-07-09 06:48:35 EDT
I've seen this now on F20 with kernel-3.14.7-200.fc20.x86_64

[1856199.749023] nouveau E[   PFIFO][0000:01:00.0] read fault at 0x0000284000 [INVALID_STORAGE_TYPE] from PGRAPH/CTXCTL on channel 0x003ee3d000 [konqueror[31614]]
[1856201.758351] nouveau E[   PFIFO][0000:01:00.0] playlist update failed
[1856404.719677] nouveau E[konqueror[31614]] failed to idle channel 0xcccc0000 [konqueror[31614]]
Comment 21 Robert Smalley 2014-12-09 05:27:30 EST
Started to see this issue with a recent kernel release on Fedora 20 causing my box to crash most processes, though can still ssh onto it.  Gnome/X server dies.
Happens every day or 2.

Kernel 3.17.4-200.fc20.x86_64
xorg-x11-drv-nouveau-1.0.9-2.fc20.x86_64

Dec 09 02:00:52 kernel: nouveau E[   PFIFO][0000:01:00.0] read fault at 0x0000cc0000 [PAGE_NOT_PRESENT] from PGRAPH/GPC0/TEX on channel 0x003fc5e000 [gnome-shell[31185]]
Dec 09 02:00:52 kernel: nouveau E[   PFIFO][0000:01:00.0] PGRAPH engine fault on channel 4, recovering...
Dec 09 02:00:52 kernel: nouveau E[  PGRAPH][0000:01:00.0] TRAP ch 4 [0x003fc5e000 gnome-shell[31185]]
Dec 09 02:00:52 kernel: nouveau E[  PGRAPH][0000:01:00.0] GPC0/TPC0/TEX: 0x80000049
Dec 09 02:02:48 kernel: nouveau E[Xorg[1096]] failed to idle channel 0xcccc0000 [Xorg[1096]]
Dec 09 02:03:03 kernel: nouveau E[Xorg[1096]] failed to idle channel 0xcccc0000 [Xorg[1096]]
Dec 09 02:03:03 kernel: nouveau E[   PFIFO][0000:01:00.0] read fault at 0x000001b000 [PAGE_NOT_PRESENT] from PFIFO/BAR_READ on channel 0x003fc1c000 [unknown]
Dec 09 02:03:03 gnome-session[1724]: nouveau: kernel rejected pushbuf: Permission denied
Dec 09 02:03:03 gnome-session[1724]: nouveau: ch0: krec 0 pushes 1 bufs 1 relocs 0
Dec 09 02:03:03 gnome-session[1724]: nouveau: ch0: buf 00000000 00000004 00000004 00000004 00000000
Dec 09 02:03:03 gnome-session[1724]: nouveau: ch0: psh 00000000 0000002210 0000002224
Dec 09 02:03:03 gnome-session[1724]: nouveau:         0x200406c0
Dec 09 02:03:03 gnome-session[1724]: nouveau:         0x00000000
Dec 09 02:03:03 gnome-session[1724]: nouveau:         0x00218000
Dec 09 02:03:03 gnome-session[1724]: nouveau:         0x000b8bab
Dec 09 02:03:03 gnome-session[1724]: nouveau:         0x1000f010
Dec 09 02:03:18 kernel: nouveau E[gnome-shell[31185]] failed to idle channel 0xcccc0000 [gnome-shell[31185]]
Dec 09 02:03:33 kernel: nouveau E[gnome-shell[31185]] failed to idle channel 0xcccc0000 [gnome-shell[31185]]
Dec 09 02:04:26 kernel: nouveau E[gnome-session-c[7770]] failed to idle channel 0xcccc0000 [gnome-session-c[7770]]
Dec 09 02:04:41 kernel: nouveau E[gnome-session-c[7770]] failed to idle channel 0xcccc0000 [gnome-session-c[7770]]
Dec 09 02:04:56 kernel: nouveau E[gnome-session-c[7770]] failed to idle channel 0xcccc0000 [gnome-session-c[7770]]
Dec 09 02:05:11 kernel: nouveau E[gnome-session-c[7770]] failed to idle channel 0xcccc0000 [gnome-session-c[7770]]
Dec 09 02:05:26 kernel: nouveau E[gnome-session-c[7770]] failed to idle channel 0xcccc0000 [gnome-session-c[7770]]
Dec 09 02:05:41 kernel: nouveau E[gnome-session-c[7770]] failed to idle channel 0xcccc0000 [gnome-session-c[7770]]
Comment 22 David Howells 2014-12-09 08:33:22 EST
I've seen the following recently:

nouveau E[   PFIFO][0000:01:00.0] read fault at 0x0000011000 [INVALID_STORAGE_TYPE] from PFIFO/PFIFO on channel 0x003ee3f000 [unknown]
nouveau E[     DRM] GPU lockup - switching to software fbcon
systemd-udevd[6578]: starting version 208
nouveau E[chrome[19382]] failed to idle channel 0xcccc0000 [chrome[19382]]
nouveau E[chrome[19382]] failed to idle channel 0xcccc0000 [chrome[19382]]

resulting in the display locking up (ssh was still accessible).

Packages:
kernel-3.16.6-203.fc20.x86_64
xorg-x11-drv-nouveau-1.0.9-2.fc20.x86_64
xorg-x11-server-common-1.14.4-11.fc20.x86_64
Comment 23 long 2015-03-26 11:27:38 EDT
Resuming from hibernate still results in this problem on F21 3.19.1-201.fc21.x86_64.
Comment 24 Fedora End Of Life 2015-05-29 04:46:57 EDT
This message is a reminder that Fedora 20 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 20. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as EOL if it remains open with a Fedora  'version'
of '20'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not 
able to fix it before Fedora 20 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.
Comment 25 Fedora End Of Life 2015-06-29 07:40:24 EDT
Fedora 20 changed to end-of-life (EOL) status on 2015-06-23. Fedora 20 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.